Name:		jorbis
Version:	0.0.17
Release:	%mkrel 6
Summary:	Pure Java Ogg Vorbis Decoder
Group:		Development/Java
License:	LGPLv2+
URL:		http://www.jcraft.com/jorbis/index.html
Source0:	%{name}-%{version}.zip
Source1:	http://nifty-gui.sourceforge.net/nifty-maven-repo/com/jcraft/jorbis/0.0.17/%{name}-%{version}.pom

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	javapackages-local
BuildRequires:	unzip
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
BuildRequires:	xml-commons-resolver

%description
JOrbis is a pure Java Ogg Vorbis decoder.
JOrbis accepts Ogg Vorbis bitstreams and decodes them to raw PCMs.

JOrbis is copyrighted by JCraft Inc. and is licensed through the
GNU Lesser General Public License.

Read the COPYING.LIB file for the complete license.

%package	javadoc
Summary:	Javadoc for jorbis
Group:		Documentation

%description	javadoc
Javadoc for jorbis.

%package -n	jorbis-player
Summary:	JOrbisPlayer - a ogg player using %{name}
Group:		Development/Java
Requires:	%{name} = %{version}

%description -n	jorbis-player
JOrbisPlayer is a simple ogg-Player.

%package -n	jorbis-comment
Summary:	JOrbisComment is a simple comment editor for Ogg Vorbis
Group:		Development/Java
Requires:	%{name} = %{version}

%description -n	jorbis-comment
JOrbisComment is a simple comment editor for Ogg Vorbis.

This program is just provided here for setting an example, how to
use JOrbis for editing comments.

%prep
%setup -q 

%build
%javac \
	`find ./ -name '*.java'`
%jar cf jorbis.jar \
	com/jcraft/jogg/*.class \
	com/jcraft/jorbis/*.class
%jar cf JOrbisPlayer.jar \
	player/*.class
%jar cf JOrbisComment.jar \
	comment_editor/*.class

%javadoc \
	-d doc -public \
	`find ./ -name '*.java'`

%install
# jars
%__install -dm 755 %{buildroot}%{_javadir}
%__install -pm 644 jorbis.jar \
	%{buildroot}%{_javadir}/jorbis-%{version}.jar
%__install -pm 644 JOrbisPlayer.jar \
	%{buildroot}%{_javadir}/JOrbisPlayer-%{version}.jar
%__install -pm 644 JOrbisComment.jar \
	%{buildroot}%{_javadir}/JOrbisComment-%{version}.jar
pushd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

%__install -dm 755 %{buildroot}%{_mavenpomdir}
%__install -pm 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -pr doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%doc COPYING.LIB ChangeLog README
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/*
%{_datadir}/maven-metadata/*

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files -n jorbis-player
%doc player/JOrbisPlayer.html
#doc player/*.ogg player/playlist
%{_javadir}/JOrbisPlayer*.jar

%files -n jorbis-comment
%doc comment_editor/README
%{_javadir}/JOrbisComment*.jar


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0.17-6.mga8
+ Revision: 1501849
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.17-5.mga7
+ Revision: 1279087
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 daviddavid <daviddavid> 0.0.17-4.mga7
+ Revision: 1161765
- add BR javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 umeabot <umeabot> 0.0.17-2.mga6
+ Revision: 980800
- Mageia 6 Mass Rebuild

* Mon May 18 2015 daviddavid <daviddavid> 0.0.17-1.mga5
+ Revision: 822332
- remove old macro on %%update_maven_depmap
- fix Group

* Thu Nov 06 2014 tv <tv> 0.0.17-0.0.9.mga5
+ Revision: 795937
- adjust file list
- adjust file list
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.17-0.0.8.mga5
+ Revision: 742684
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.17-0.0.7.mga5
+ Revision: 680847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.17-0.0.6.mga4
+ Revision: 506449
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.17-0.0.5.mga3
+ Revision: 355553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 01 2011 gil <gil> 0.0.17-0.0.4.mga2
+ Revision: 150771
- added m2 pom

* Sat Mar 05 2011 grenoya <grenoya> 0.0.17-0.0.3.mga1
+ Revision: 64994
- imported package jorbis


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.17-0.0.3mdv2011.0
+ Revision: 619832
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.0.17-0.0.2mdv2010.0
+ Revision: 429645
- rebuild

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.0.17-0.0.1mdv2009.0
+ Revision: 286737
- remove unneeded PreReq
- import jorbis


